Index: trunk/platforms/tsar_generic_xbar/tsar_xbar_cluster/caba/metadata/tsar_xbar_cluster.sd
===================================================================
--- trunk/platforms/tsar_generic_xbar/tsar_xbar_cluster/caba/metadata/tsar_xbar_cluster.sd	(revision 706)
+++ trunk/platforms/tsar_generic_xbar/tsar_xbar_cluster/caba/metadata/tsar_xbar_cluster.sd	(revision 779)
@@ -3,108 +3,106 @@
 
 Module('caba:tsar_xbar_cluster', 
-   classname = 'soclib::caba::TsarXbarCluster',
-   tmpl_parameters = [
-      parameter.Int('dspin_cmd_width'),
-      parameter.Int('dspin_rsp_width'),
+        classname = 'soclib::caba::TsarXbarCluster',
+        tmpl_parameters = [
+        parameter.Int('dspin_cmd_width'),
+        parameter.Int('dspin_rsp_width'),
         parameter.Module('vci_param_int', default = 'caba:vci_param',
-                          cell_size = parameter.Reference('vci_data_width_int')),
+            cell_size = parameter.Reference('vci_data_width_int')),
         parameter.Module('vci_param_ext', default = 'caba:vci_param',
-                          cell_size = parameter.Reference('vci_data_width_ext')),
+            cell_size = parameter.Reference('vci_data_width_ext')),
         ],
 
-   header_files = [ '../source/include/tsar_xbar_cluster.h', 
+        header_files = [ '../source/include/tsar_xbar_cluster.h', ],
+
+        implementation_files = [ '../source/src/tsar_xbar_cluster.cpp', ],
+
+        uses = [
+        Uses('caba:base_module'),
+        Uses('common:mapping_table'),
+        Uses('common:iss2'),
+
+        Uses('caba:vci_cc_vcache_wrapper', 
+                cell_size       = parameter.Reference('vci_data_width_int'),
+                dspin_in_width  = parameter.Reference('dspin_cmd_width'),
+                dspin_out_width = parameter.Reference('dspin_rsp_width'),
+                iss_t           = 'common:gdb_iss', 
+                gdb_iss_t       = 'common:mips32el'),
+
+        Uses('caba:vci_mem_cache',
+                memc_cell_size_int = parameter.Reference('vci_data_width_int'),
+                memc_cell_size_ext = parameter.Reference('vci_data_width_ext'),
+                dspin_in_width  = parameter.Reference('dspin_rsp_width'),
+                dspin_out_width = parameter.Reference('dspin_cmd_width')),
+
+        Uses('caba:vci_simple_rom',
+                cell_size       = parameter.Reference('vci_data_width_int')),
+
+        Uses('caba:vci_simple_ram',
+                cell_size       = parameter.Reference('vci_data_width_ext')),
+
+        Uses('caba:vci_simple_ram',
+                cell_size       = parameter.Reference('vci_data_width_int')),
+
+        Uses('caba:vci_xicu',
+                cell_size       = parameter.Reference('vci_data_width_int')),
+
+        Uses('caba:vci_local_crossbar', 
+                cell_size       = parameter.Reference('vci_data_width_int')),
+
+        Uses('caba:dspin_local_crossbar', 
+                flit_width      = parameter.Reference('dspin_cmd_width')),
+
+        Uses('caba:dspin_local_crossbar', 
+                flit_width      = parameter.Reference('dspin_rsp_width')),
+
+        Uses('caba:virtual_dspin_router', 
+                flit_width      = parameter.Reference('dspin_cmd_width')),
+
+        Uses('caba:virtual_dspin_router', 
+                flit_width      = parameter.Reference('dspin_rsp_width')),
+
+        Uses('caba:vci_multi_tty',
+                cell_size       = parameter.Reference('vci_data_width_int')),
+
+        Uses('caba:vci_framebuffer',
+                cell_size       = parameter.Reference('vci_data_width_int')),
+
+        Uses('caba:vci_multi_nic',
+                cell_size       = parameter.Reference('vci_data_width_int')),
+
+        Uses('caba:vci_chbuf_dma',
+                cell_size       = parameter.Reference('vci_data_width_int')),
+
+        Uses('caba:vci_block_device_tsar',
+                cell_size       = parameter.Reference('vci_data_width_int')),
+
+        Uses('caba:vci_multi_dma',
+                cell_size       = parameter.Reference('vci_data_width_int')),
+
+        Uses('caba:vci_dspin_target_wrapper',
+                cell_size       = parameter.Reference('vci_data_width_int')),
+
+        Uses('caba:vci_dspin_initiator_wrapper',
+                cell_size       = parameter.Reference('vci_data_width_int')),
+
+        Uses('caba:vci_simhelper',
+                cell_size       = parameter.Reference('vci_data_width_int')),
+
+        Uses('common:elf_file_loader'),
         ],
 
-   implementation_files = [ '../source/src/tsar_xbar_cluster.cpp', 
+        ports = [
+        Port('caba:bit_in', 'p_resetn', auto = 'resetn'),
+        Port('caba:clock_in', 'p_clk', auto = 'clock'),
+        Port('caba:dspin_output', 'p_cmd_out', [4, 3], 
+                dspin_data_size = parameter.Reference('dspin_cmd_width')),
+        Port('caba:dspin_input', 'p_cmd_in', [4, 3], 
+                dspin_data_size = parameter.Reference('dspin_cmd_width')),
+        Port('caba:dspin_output', 'p_rsp_out', [4, 2], 
+                dspin_data_size = parameter.Reference('dspin_rsp_width')), 
+        Port('caba:dspin_input', 'p_rsp_in', [4, 2], 
+                dspin_data_size = parameter.Reference('dspin_rsp_width')),
         ],
-
-   uses = [
-      Uses('caba:base_module'),
-      Uses('common:mapping_table'),
-      Uses('common:iss2'),
-              
-      Uses('caba:vci_cc_vcache_wrapper', 
-              cell_size       = parameter.Reference('vci_data_width_int'),
-              dspin_in_width  = parameter.Reference('dspin_cmd_width'),
-              dspin_out_width = parameter.Reference('dspin_rsp_width'),
-              iss_t           = 'common:gdb_iss', 
-              gdb_iss_t       = 'common:mips32el'),
-
-      Uses('caba:vci_mem_cache',
-              memc_cell_size_int = parameter.Reference('vci_data_width_int'),
-              memc_cell_size_ext = parameter.Reference('vci_data_width_ext'),
-              dspin_in_width  = parameter.Reference('dspin_rsp_width'),
-              dspin_out_width = parameter.Reference('dspin_cmd_width')),
-
-      Uses('caba:vci_simple_rom',
-              cell_size       = parameter.Reference('vci_data_width_int')),
-
-      Uses('caba:vci_simple_ram',
-              cell_size       = parameter.Reference('vci_data_width_ext')),
-
-      Uses('caba:vci_simple_ram',
-              cell_size       = parameter.Reference('vci_data_width_int')),
-
-      Uses('caba:vci_xicu',
-              cell_size       = parameter.Reference('vci_data_width_int')),
-
-      Uses('caba:vci_local_crossbar', 
-              cell_size       = parameter.Reference('vci_data_width_int')),
-
-      Uses('caba:dspin_local_crossbar', 
-              flit_width      = parameter.Reference('dspin_cmd_width')),
-
-      Uses('caba:dspin_local_crossbar', 
-              flit_width      = parameter.Reference('dspin_rsp_width')),
-
-      Uses('caba:virtual_dspin_router', 
-              flit_width      = parameter.Reference('dspin_cmd_width')),
-
-      Uses('caba:virtual_dspin_router', 
-              flit_width      = parameter.Reference('dspin_rsp_width')),
-
-      Uses('caba:vci_multi_tty',
-              cell_size       = parameter.Reference('vci_data_width_int')),
-
-      Uses('caba:vci_framebuffer',
-              cell_size       = parameter.Reference('vci_data_width_int')),
-
-      Uses('caba:vci_multi_nic',
-              cell_size       = parameter.Reference('vci_data_width_int')),
-
-      Uses('caba:vci_chbuf_dma',
-              cell_size       = parameter.Reference('vci_data_width_int')),
-
-      Uses('caba:vci_block_device_tsar',
-              cell_size       = parameter.Reference('vci_data_width_int')),
-
-      Uses('caba:vci_multi_dma',
-              cell_size       = parameter.Reference('vci_data_width_int')),
-
-      Uses('caba:vci_dspin_target_wrapper',
-              cell_size       = parameter.Reference('vci_data_width_int')),
-
-      Uses('caba:vci_dspin_initiator_wrapper',
-              cell_size       = parameter.Reference('vci_data_width_int')),
-
-      Uses('caba:vci_simhelper',
-              cell_size       = parameter.Reference('vci_data_width_int')),
-
-      Uses('common:elf_file_loader'),
-      ],
-
-   ports = [
-      Port('caba:bit_in', 'p_resetn', auto = 'resetn'),
-      Port('caba:clock_in', 'p_clk', auto = 'clock'),
-      Port('caba:dspin_output', 'p_cmd_out', [4, 3], 
-              dspin_data_size = parameter.Reference('dspin_cmd_width')),
-      Port('caba:dspin_input', 'p_cmd_in', [4, 3], 
-              dspin_data_size = parameter.Reference('dspin_cmd_width')),
-      Port('caba:dspin_output', 'p_rsp_out', [4, 2], 
-              dspin_data_size = parameter.Reference('dspin_rsp_width')), 
-      Port('caba:dspin_input', 'p_rsp_in', [4, 2], 
-              dspin_data_size = parameter.Reference('dspin_rsp_width')),
-      ],
-)
+        )
 
 
